package com.chenyang.druid.sql.dialect.greenplum.ast.stmt;

import com.chenyang.druid.sql.ast.expr.SQLIdentifierExpr;
import com.chenyang.druid.sql.ast.statement.SQLDropSequenceStatement;
import com.chenyang.druid.sql.dialect.greenplum.visitor.GPASTVisitor;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;
import java.util.ArrayList;

public class GPDropSequenceStatement extends SQLDropSequenceStatement {
   private ArrayList<SQLIdentifierExpr> seqList = new ArrayList();
   private boolean cascade;
   private boolean restrict;

   public ArrayList<SQLIdentifierExpr> getSeqList() {
      return this.seqList;
   }

   public void setSeqList(ArrayList<SQLIdentifierExpr> seqList) {
      this.seqList = seqList;
   }

   public boolean isCascade() {
      return this.cascade;
   }

   public void setCascade(boolean cascade) {
      this.cascade = cascade;
   }

   public boolean isRestrict() {
      return this.restrict;
   }

   public void setRestrict(boolean restrict) {
      this.restrict = restrict;
   }

   public void accept0(SQLASTVisitor visitor) {
      this.accept0((GPASTVisitor)visitor);
   }

   public void accept0(GPASTVisitor visitor) {
      visitor.visit(this);
   }
}
